/***********************************************************
nate
***********************************************************/
function initHandler3(handler){
  var inboxOnly=handler.webMailNotifier.prefBranch.getBoolPref("webmail3.inboxOnly");
  handler.hostString="nate.com";
  handler.dataURL="http://mail.nate.com";
  handler.mailURL="http://mail.nate.com/";
  var ar=handler.user.split("@");
  handler.loginData=["https://xo.nate.com/servlets/LoginServlet",
                      "","PASSWD",
                      "redirect="+encodeURIComponent(handler.mailURL)
                      +"&ID="+encodeURIComponent(ar[1]=="nate.com"?ar[0]:handler.user)+"&domain="+encodeURIComponent(ar[1])];

  handler.process=function (aHttpChannel, aData) {
    switch(this.stage){
    case ST_LOGIN_RES:
      this.webMailNotifier.getHtml(this,this.dataURL);
      return false;
    case (ST_LOGIN_RES+1):
      if(aHttpChannel.responseStatus==302){
        this.dataURL=aHttpChannel.getResponseHeader("Location");
      }
      var fnd=aData.match(/<frame src=\"(\S+?)\".+?title=\"hidden\"/);
      if(fnd)this.dataURL=(this.dataURL+fnd[1]).replace(/([^:])\/\//,"$1/");
      this.stage=ST_DATA;
      break;
    }
    return WebMailHandler.prototype.process.call(this,aHttpChannel, aData);
  };

  handler.getData=function(aData){
    if(!this.isEmpal){
      if(this.inboxOnly){
        var fnd=aData.match(/mc.unseen={inbox:(\d+)/);
        if(fnd){
          return fnd[1];
        }
      }else{
        var fnd=aData.match(/mc.unseen={(inbox:.+?)}/);
        if(fnd){
          var num=0;
          fnd=fnd[1].match(/:\d+/g);
          for(var i=0;i<fnd.length;i++){
            num+=parseInt(fnd[i].substring(1));
          }
          fnd=aData.match(/mbx.addUserMboxes\(\[(\S+?)\]\);/);
          if(fnd){
            var re=/\[.*?,(\d+)\]/g;
            var ar;
            while ((ar = re.exec(fnd[1])) != null){
              num+=parseInt(ar[1]);
            }
          }
          return num;
        }
      }
    }
    var fnd=aData.match(/\uc0c8\ud3b8\uc9c0\u0020\ucd1d[\s\S]*?<span[\s\S]*?>(\d+)/);
    if(fnd){
      this.isEmpal=true;
      return fnd[1];
    }
    return -1;
  };
}
